.headNo{
    padding-bottom:0px;
}
.video-banner {
    position: relative;
    width: 100%;
    height: auto;
    overflow: hidden;
  }
  
  .video-banner video {
    width: 100%;
    height: 100%;
    object-fit: cover;
    display: block;
  }
  
  .video-overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.5); /* Semi-transparent black overlay */
    display: flex;
    justify-content: center;
    align-items: flex-end;
  }
  
  .overlay-content {
    color: white;
    text-align: center;
    padding: 20px;
    width: 100%;
    display: flex;
    align-items: baseline;
}
  
  
  .overlay-content h1 {
    font-size: 2.5em;
    font-weight: bold;
  }
  
  .spec-icons {
    display: flex;
    justify-content: flex-end;
    gap: 20px;
    margin-top: 20px;
    align-items: center;
    margin-left: auto;
  }
  
  .spec-icons .icon {
    display: flex;
    flex-direction: column;
    align-items: center;
  }
  
  .spec-icons .icon img {
    height: 40px; /* Adjust size as needed */
    width: auto;
    margin-bottom: 5px;
  }
  
  .spec-icons .icon span {
    font-size: 1em;
    line-height: 20px;
  }
  
  .spec-note {
    margin-top: 20px;
    font-size: 0.9em;
    opacity: 0.7;
  }

  .features {
    display: flex;
    flex-wrap: wrap;
    margin-top: 20px;
  }
  
  .feature {
    flex: 1;
    padding: 20px;
    margin: 10px;
    border: 1px solid #ddd;
    text-align: center;
    display: flex;
    flex-direction: column;
    justify-content: center;
    border-radius: 15px;
  }
  
  .feature img {
    width: 33px;
    height: 33px;
    margin-bottom: 10px;
  }
  
  .feature h2 {
    font-size: 1em;
    margin: 10px 0;
  }
  
  .feature h6 {
    font-size: 0.9em;
    font-weight: 600;
    margin: 5px 0;
  }
  
  .feature p {
    font-size: 0.8em;
    color: #666;
  }
  
  
  #car-visualizer {
    width: 760px;
    height: 400px;
    margin: 20px auto;
    position: relative;
    overflow: hidden; /* Ensure zoomed image doesn't overflow */
}

#car-visualizer img {
    width: 100%;
    height: auto;
    position: absolute;
    top: 0;
    left: 0;
    display: none;
    cursor: grab; /* Indicate draggable behavior */
    transition: transform 0.2s ease;
}

#car-visualizer img.active {
    display: block;
}

/* Zoom functionality */
#car-visualizer img.zoomed {
    transform: scale(1.5); /* Image zoom scale */
    cursor: zoom-out;
}
.view_360{
    margin: 100px 0 100px 0;
}
.an_btns{
    border: 2px solid #c4c4c4;
    color: #000000;
    border-radius: 25px;
    justify-content: center;
    align-items: center;
    min-height: 30px;
    line-height: 20px;
    font-size: .75rem;
    background: #ffffff;
    padding: 1px 12px;
}
.an_btns:hover, .an_btns.active{
    background: #cf2e2e;
    font-weight: 500;
    color: #fff;
}
.an-tabs{
    display: grid;
}
.an-tabs li{
    margin:5px 0;
}
.an-tab-content .tab-pane video{
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 15px;
}
.an-tab-content .tab-pane img{
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 15px;
}
.an-tab-content .tab-pane p{
    text-align: center;
}
.gallery-container {
    display: grid;
    grid-template-columns: repeat(6, 1fr);
    grid-gap: 10px;
    margin: auto 10px;
}
.gallery-container img {
    width: 100%;
    height: auto;
    cursor: pointer;
}
.an-interior{
    margin:100px 0 20px 0;
}
.gallery-container a {
    position: relative;
    overflow: hidden;
    display: block;
    border-radius: 15px;
    border: 1px solid #000;
}

.gallery-container img {
    width: 100%;
    height: auto;
    transition: transform 0.3s ease;
}

.gallery-container a:hover img {
    transform: scale(1.1); /* Zoom effect on hover */
}

/* Text overlay styling */
.overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.6); /* Semi-transparent overlay */
    color: #fff;
    display: flex;
    justify-content: center;
    align-items: center;
    opacity: 0;
    transition: opacity 0.3s ease;
    padding: 3px;
}

.gallery-container a:hover .overlay {
    opacity: 1; /* Show overlay on hover */
}

.overlay .text {
    text-align: center;
    font-size: 11px;
    font-weight: bold;
}
.an-tab-second{
    margin: 70px 0;
    padding: 50px 0;
    background: #222732;
}
.an-tab-second h1, .an-tab-second h5, .an-tab-second p{
    color: #eeeeee;
}



#car-visualizer img.hidden {
    display: none;
}

#color-palette {
    display: flex;
    justify-content: center;
    margin-top: 10px;
}

.color-option {
    width: 25px;
    height: 25px;
    border-radius: 50%;
    margin: 0 4px;
    cursor: pointer;
    border: 2px solid transparent;
    transition: border-color 0.3s;
}

.color-option:hover, .color-option.active {
    border-color: #333;
}

#color-name {
    text-align: center;
    margin-top: 10px;
    font-size: 1.2em;
    font-weight: bold;
}
.an-service-secondary{
    background: #222732;
    padding: 50px 0;
}
.an-service-secondary h3, .an-service-secondary p, .an-service-secondary ul li{
    color: #eeeeee;
}




.comparison-table {
    max-width: 1300px;
    margin: 50px auto;
    padding: 0 10px;
    background-color: #f2f2f2;
    border-radius: 10px;
    box-shadow: 0 0 20px rgba(0, 0, 0, 0.1);
    overflow-x: auto; /* Enable horizontal scrolling */
}

.comparison-table table {
    width: 100%;
    border-collapse: collapse;
    text-align: center;
}

.comparison-table thead th {
    background-color: #254d70;
    color: white;
    font-size: 1.5rem;
    padding: 20px 0;
}
.comparison-table thead th:last-child{
    border-radius: 0 10px 10px 0;
}
.comparison-table thead th:first-child {
    border-radius: 10px 0 0 10px; /* Add 'px' to the value */
}

.comparison-table thead th.basic { background-color: #f8981d; }
.comparison-table thead th.standard { background-color: #77c14b; }
.comparison-table thead th.premium { background-color: #2cbcd7; }
.comparison-table thead th.unlimited { background-color: #f33f3f; }

.comparison-table tbody td {
    padding: 20px;
    font-size: 1rem;
    border-bottom: 1px solid #ccc;
}

.comparison-table .checkmark {
    color: #3c3c3c;
    font-size: 1rem;
}

.comparison-table .cross {
    color: #3c3c3c;
    font-size: 1rem;
}

.comparison-table .price-row td {
    font-weight: bold;
    font-size: 1.5rem;
}

.comparison-table tbody .price {
    color: #333;
}

.comparison-table tbody .basic .price { color: #f8981d; }
.comparison-table tbody .standard .price { color: #77c14b; }
.comparison-table tbody .premium .price { color: #2cbcd7; }
.comparison-table tbody .unlimited .price { color: #f33f3f; }

.comparison-table .buy-btn {
    padding: 10px 20px;
    border: none;
    border-radius: 5px;
    font-size: 1rem;
    color: white;
    cursor: pointer;
}

.comparison-table tbody .basic .buy-btn { background-color: #f8981d; }
.comparison-table tbody .standard .buy-btn { background-color: #77c14b; }
.comparison-table tbody .premium .buy-btn { background-color: #2cbcd7; }
.comparison-table tbody .unlimited .buy-btn { background-color: #f33f3f; }

.comparison-table .buy-btn:hover {
    opacity: 0.8;
}
.an-c-table{
    margin:70px 0;
}
.max-w-750{
    max-width: 750px;
    margin: 0 auto;
}
.an-models-sec{
    margin: 60px 0;
}
.model_btn{
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
}
.an_model_btn{
    padding: 8px 20px;
    border: 1px solid #7f7f7f;
    border-radius: 10px;
    min-width: 80px;
    text-align: center;
    margin: 10px;
    font-weight: 600;
    text-wrap: nowrap;
    transition: all .3s linear;

}
.an_model_btn:hover{
    border: 1px solid #cf2e2e;
    background: #222732;
    color: #eeeeee;
}
.fw-600{
    font-weight: 600;
}
.an-veh-info {
    /* max-width: 600px;
    background-color: #fff; */
    padding: 20px;
    border-radius: 8px;
    /* box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1); */
    overflow: hidden;
}
.info-banner {
    width: 100%;
    height: auto;
    border-radius: 10px;
    margin-bottom: 16px;
    max-height: 500px;
    object-fit: cover;
}

.an-veh-info h2 {
    font-size: 1.8em;
    color: #1a1a1a;
    margin-bottom: 16px;
    text-align: center;
    margin-top: 16px;
}

.an-veh-info ul {
    list-style-type: none;
    padding-right: 2rem;
}

.an-veh-info li {
    margin-bottom: 20px;
    padding: 15px;
    border-left: 4px solid #cf2e2e;
    background-color: #fcfcfc;
    border-radius: 4px;
}

.an-veh-info h3 {
    font-size: 1.3em;
    color: #222732;
    margin-bottom: 8px;
    font-weight: 600;
}

.an-veh-info p {
    font-size: 1em;
    line-height: 1.6;
    color: #555;
}
.read-more-content ul {
    padding: 0;
    list-style-type: none;
}
.read-more-content {
    max-height: 0;
    overflow: hidden;
    opacity: 0;
    transition: max-height 0.5s ease, opacity 0.5s ease;
}

.read-more-content.expanded {
    max-height: 1000px; /* Adjust this to fit your content */
    opacity: 1;
}
.kiaAccordion{
    width: 100%;
    margin-bottom: 20px;
}
/* Car Details style */
/* Desktop Styles */
.header-container {
    background-color: #f8f9fa;
    padding: 1px 20px;
    position: sticky;
    top: 0;
    width: 100%;
    z-index: 999;
}
.header-container h2 {
    font-size: 1.25rem;
    margin: 0;
}
.navbar-nav .nav-link {
    padding: 0 10px;
    color: #333;
}
.btn-inventory {
    background-color: #000;
    color: #fff;
    border: none;
}
.btn-build {
    color: #000;
    border: 1px solid #333;
}
.dropdown-menu .dropdown-item {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 10px 20px;
}
.dropdown-menu .dropdown-item .arrow {
    font-size: 0.8rem;
    color: #999;
}
.main-content {
    position: relative;
    background-image: url('images/Desktop.webp'); /* Replace with actual image URL */
    background-size: cover;
    background-position: center;
    color: white;
    padding: 50px 20px;
    min-height: 500px;
}
.main-content .text-overlay {
    position: absolute;
    bottom: 20px;
    left: 20px;
    right: 20px;
    display: flex;
    justify-content: center;
    text-align: center;
    font-size: 1rem;
}
.main-content .text-overlay div {
    max-width: 270px;
    border-right: 1px solid #eeeeee;
    display: flex;
    align-items: center;
    padding: 0px 18px;
}
.main-content .text-overlay div:last-child{
    border-right: none;
}
/* .main-content .text-overlay div p{
    line-height: 22px;
} */
.btn-group {
    display: flex;
    gap: 10px;
    justify-content: center;
}
.header-container .navbar-toggler{
    font-size: 14px;
    line-height: 22px;
    position: relative;
    margin-top: 8px;
    color: #000;
}
.header-container .navbar-toggler:focus{
    box-shadow: none;
}
.cta_button{
    display: none;
}
.an-price-text{
    display: none;
}


.an-slider {
    position: relative;
    width: 100%;
    height: auto;
    overflow: hidden;
    border-radius: 10px;
    min-height: 700px;
}
    
/* .an-slider .slide {
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    opacity: 0;
    transition: opacity 1s ease;
} */

/* .an-slider .slide.active {
    opacity: 1;
} */

.an-slider .slide .video-wrapper {
    position: relative;
    width: 100%;
    height: 100%;
}

.an-slider .slide video {
    width: 100%;
    height: 100%;
    object-fit: cover;
    display: block;
}

.an-slider .slide .video-wrapper:after {
    position: absolute;
    content: ' ';
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    background: linear-gradient(-180deg, transparent 85%, #05141f 95%, #05141f 100%);
}
.an-slider .feature-details {
    position: relative;
    top: 0;
    left: 0;
    width: 100%;
    color: #fff;
    background: #00141f;
    padding: 35px 25px 30px 25px;
}
.an-slider .feature-details:before{
    position: absolute;
    content: '';
    left: 0;
    top: 70px;
    width: 100%;
    height: 70px;
    background: linear-gradient(-180deg, transparent 85%, #05141f 95%, #05141f 100%);
}
.an-slider .feature-details h4 {
    font-size: 14px;
    color: #aaa;
    margin-bottom: 5px;
}

.an-slider .feature-details h2 {
    font-size: 24px;
    font-weight: bold;
    margin-bottom: 10px;
}

.an-slider .feature-details ul {
    list-style: none;
    margin-bottom: 10px;
    margin-bottom: 10px;
    padding-left: 0;
    margin-top: 15px;
}

.an-slider .feature-details ul li {
    font-size: 14px;
    position: relative;
    margin-bottom: 5px;
    padding-left: 20px;
}

.an-slider .feature-details ul li::before {
    content: '✔';
    color: #00ff00;
    position: absolute;
    left: 0;
    top: 0;
}

.an-slider .disclaimer-link {
    font-size: 12px;
    color: #aaa;
    text-decoration: underline;
    cursor: pointer;
    text-align: right;
    display: block;
}

.slider {
    position: relative;
    width: 100%;
    max-width: 100%;
}

/* Slide Styling */
.an-slider .slide {
    position: relative;
}


/* Make the video cover the entire slide */

/* Style the feature details overlay */

/* Center the navigation arrows on the video */
.slick-prev, .slick-next {
    position: absolute;
    top: 40%;
    transform: translateY(-50%);
    z-index: 100;
    background: rgba(0, 20, 31, 0.6); /* Background behind arrow */
    color: #fff;
    font-size: 20px;
    border: none;
    /* padding: 10px; */
    display: flex;
    justify-content: center;
    align-items: center;
}

/* Slick arrow positioning */
.slick-prev {
    left: 35px;
}

.slick-next {
    right: 30px;
}

/* Style the dots navigation */
.an-slider .slick-dots {
    position: absolute;
    bottom: 400px;
    left: 50%;
    transform: translate(-50%, 70px);
    z-index: 10;
    list-style-type: none;
    padding: 0;
    margin: 0;
    display: flex;
}
.an-slider .slick-dots li{
    display: inline-grid;
}
.an-slider .slick-dots li::before {
    background-color: #666;
    height: 10px;
    width: 10px;
    border-radius: 50%;
}

.an-slider .slick-dots li.slick-active::before {
    background-color: #fff;/* Change active dot color */;
    max-width: 10px;
}


#an-car-visualizer {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    margin-bottom: 20px;
}
#an-car-visualizer img {
    width: 100%;
    max-width: 100%;
    margin: 10px;
    display: none; /* Initially hide all images */
}
#an-car-visualizer img.active {
    display: block; /* Show the active image */
}
#an-car-visualizer .hidden {
    display: none;
}
#an-color-palette {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    margin-top: 20px;
}
.an-color-option {
    width: 30px;
    height: 30px;
    margin: 5px;
    cursor: pointer;
    border-radius: 50%;
    border: 2px solid #eeeeee;
}
.an-color-option.active {
    border-color: #000;
    box-shadow : -1px 7px 11px 0px #00000078
}
#an-color-name {
    text-align: center;
    font-size: 18px;
    margin-top: 20px;
}
.an-car-colors{
    margin: 50px 0 90px 0;
}

/* Add your custom styling here */
.meet-the-family{
    margin:90px 0;
}
.car-slider {
    max-width: 100%;
    margin: auto;
    padding-left: 77px;
}
.car-card {
    position: relative;
    background-color:#fff ;
    color: #000;
    padding: 20px;
    border-radius: 8px;
    text-align: left;
    margin: 10px 20px;
}
.car-card:before{
    position: absolute;
    content: '';
    top:0;
    left: 0;
    width: 100% !important;
    height: 35%;
    background-color: #0d1a28;
    border-radius: 8px;
}
.car-card img {
    width: 100%;
    height: auto;
    margin-bottom: 20px;
    position: relative;
    margin-top: -50px;
}
.car-card h2, .car-card p {
    position: relative;
    margin: 0;
    padding: 5px 0;
    color: #fff;
    line-height: 20px;
}

.car-card p span{
    font-size: 12px;
    color: #9ea1a2;
    position: relative;
    top: -10px;
}
.car_features {
    max-height: 200px;
    overflow-y: auto;
    margin-top: 15px;
    padding: 10px;
    background: #f5f5f5;
    color: #000;
    border-radius: 8px;
}
.car_features ul {
    list-style: disc;
    padding: 0;
    padding-left: 25px;
}
.car_features li {
    margin-bottom: 10px;
}
.build-link {
    margin-top: 15px;
    display: inline-block;
    color: #ffffff;
    text-decoration: underline;
    font-weight: bold;
}
.car-slider .slick-dots{
    display: flex;
    justify-content: center;
}

.an-gallery{
    margin:70px 0 110px 0;
}

  .thumbnail-container img {
    width: 100%;
    height: auto;
    cursor: pointer;
    border-radius: 5px;
    transition: opacity 0.3s;
  }

  .thumbnail-container img.active {
    border: 2px solid blue;
    opacity: 1;
  }
  .thumbnail-container .splide__track--nav>.splide__list>.splide__slide {
    height: 60px;
    width: 100px;
    }
  /* Arrows */
  .an-arrow {
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: #000;
    color: #fff;
    border-radius: 50%;
    width: 30px;
    height: 30px;
    cursor: pointer;
    position: relative;
    top: -20px;
  }
  .splide__slide img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    max-height: 575px;
  }
  #thumbnail-carousel .splide__slide img {
    border-radius: 8px;
    border-color: #e51114;
  }
  #thumbnail-carousel .splide__track--nav>.splide__list>.splide__slide.is-active {
    border: 2px solid #e51114;
    border-radius: 10px;
}
  .splide__slide {
    opacity: 0.6;
  }
  
  .splide__slide.is-active {
    opacity: 1;
  }
  .an-list-details span.ticknew svg{
    width: 15px;
  }
  .car-details-tab-1{
    margin: 70px 0;
  }
  .car-details-tab-1 .an-tab-content .tab-pane img {
    max-height: 550px;
}
.power-of-thrill{
    padding: 70px 0;
    border-top: 1px solid #ccc;
}
.power-of-thrill img{
    border-radius: 10px;
}
.car-details-tab-1 .an_btns {
    border-radius: 7px;
    padding: 4px 12px;
}



#myBtnscroll {
    position: fixed;
    bottom: 74px;
    right: 9px;
    z-index: 99;
    border: none;
    outline: none;
    color: white;
    cursor: pointer;
    width: 60px;
    height: 60px;
    border-radius: 50px;
    background-color: #a4a4a4;
    display: flex !important;
    justify-content: center;
    align-items: center;
    }
    #whatsappIcon {
    position: fixed;
    bottom: 10px;
    right: 9px;
    z-index: 99;
    border: none;
    outline: none;
    color: white;
    cursor: pointer;
    width: 60px;
    height: 60px;
    border-radius: 50px;
    display: flex;
    background-color: #25d366;
    justify-content: center;
    align-items: center;
    }
    
    #whatsappIcon i,
    #myBtnscroll i {
    font-size: 22px;
    display: flex;
    }
    
    @media only screen and (min-width: 768px) and (max-width: 1123px) {
    /* Adjust styles for tablets here */
    #whatsappIcon,
    #myBtnscroll {
    font-size: 28px;
    width: 56px;
    height: 56px;
    }
    }
    
    @media only screen and (max-width: 767px) {
    /* Smaller icon on mobile */
    #whatsappIcon,
    #myBtnscroll {
    font-size: 24px;
    width: 48px;
    height: 48px;
    }
     #myBtnscroll{
     bottom: 64px;
    
     }
    }
    
    @media only screen and (min-width: 1124px) {
    /* Larger icon on desktop */
    #whatsappIcon,
    #myBtnscroll {
    font-size: 36px;
    }
    #whatsappIcon i,
    #myBtnscroll i {
    font-size: 32px;
    display: flex;
    }
    }
    
/* Mobile Styles */
@media (max-width: 992px){
    .cta_button{
        display: block;
        -webkit-box-align: center;
        -ms-flex-align: center;
        align-items: center;
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        -webkit-box-flex: 0;
        -ms-flex: 0 0;
        flex: 0 0;
        width: 100%;
        margin-top: 5px;
    }
    .cta_button a{
        font-size: 12px;
        line-height: 20px;
        -webkit-box-align: center;
        -ms-flex-align: center;
        align-items: center;
        background: #05141f;
        border: 1px solid #05141f;
        color: #fff;
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        -webkit-box-flex: 1;
        -ms-flex-positive: 1;
        flex-grow: 1;
        height: 40px;
        -webkit-box-pack: center;
        -ms-flex-pack: center;
        justify-content: center;
        padding: 0;
        width: 100%;
    }
    .cta_button a:last-child{
        background: transparent;
        border: 1px solid #05141f;
        color: #05141f;
    }
    .header-container .navbar-collapse{
        background: #fff;
        max-height: 477px;
        overflow: hidden;
        position: fixed;
        top: calc(35px + 60px);
        left: 0;
        width: 100%;
        -webkit-box-shadow: 0 3px 6px rgba(0, 0, 0, 0.16);
        box-shadow: 0 3px 6px rgba(0,0,0,0.16); 
    }
    .header-container .navbar-collapse ul li{
        border-top: 1px solid #ccc;
    }
    .header-container .navbar-collapse ul li a{
        font-size: 14px;
        line-height: 22px;
        color: #05141f;
        display: block;
        font-weight: normal;
        padding: 15px 30px;
        text-decoration: none;
    }
    .an-slider{
        min-height: auto;
    }
    .car-details-tab-1 .an-tab-content .tab-pane img {
        max-height: 300px;
    }
    
}
@media (max-width: 768px) {
    .main-content {
        background-image: url('images/kia_my25_sportage-ice_mep_hero-v2_XXL.jfif'); /* Replace with actual image URL */
        padding: 30px 10px;
        min-height: 400px;
    }
    .an_main-header .btn-group {
        flex-direction: column;
    }
    .main-content .text-overlay {
        flex-direction: row;
        gap: 10px;
        bottom: 10px;
        font-size: 0.8rem;
        line-height: 14px;
    }
    .an-price-text {
        display: block;
        text-align: center;
        padding-top: 10px;
        margin-bottom: -10px;
        color: #333;
    }
    .main-content .text-overlay div{
        max-width: 150px;
        padding: 0px 4px;
        font-size: 10px;
    }
    .main-content .car_name{
        font-size: 16px;
    }
    .slick-prev {
        left: 10px;
    }
    
    .slick-next {
        right: 10px;
    }
    .an-slider .slick-dots{
        display:none;
        top: 40%;
    }
    .slick-prev, .slick-next {
        top: 30%;
    }
    .an-slider .feature-details h2{
        font-size: 18px;
    }
    .an-slider .feature-details ul li{
        font-size: 12px;
    }
    .car-slider {
        /* max-width: 100%;
        margin: auto; */
        padding-left: 0px;
    }
    .car-card img {
        margin-top: -50px;
    }
    .an-list-details{
        border-top: 1px solid #ccc;
        padding-top: 35px;
      }
    .car-details-tab-1 h5{
        font-size: 14px;
    }
    .car-details-tab-1 .an-tab-content .tab-pane img {
        max-height: 250px;
    }
}
/* Responsive Design */
@media screen and (min-width: 992px){
    .an-slider .feature-details {
        position: absolute;
        top: 50%;
        left: auto;
        right: 0;
        transform: translateY(-50%);
        width: 350px;
        color: #fff;
        background: rgba(5,20,31,0.8);
        padding: 35px 30px 30px 30px;
        border-radius: 10px 0 0 10px;
        
    }
    .an-slider .slick-dots{
        bottom: 0;
        transform: translate(-50%, 0px);
    }
    .slick-prev, .slick-next{
        top: 50%;
        transform: translateY(-50%);
    }
    
}

@media screen and (min-width: 768px){
    .an-home-banner video {
        max-height: 700px;
    }
    .main-image img {
        width: 100%;
        height: auto;
        border-radius: 10px;
        max-height: 575px;
    }
    
    .thumbnail-container {
        flex: 1;
        display: flex;
        flex-direction: column;
        gap: 10px;
        padding: 20px;
        max-height: 600px;
        overflow-y: auto;
    }
    
    .thumbnail-container img {
        width: 100%;
        height: auto;
        cursor: pointer;
        border-radius: 5px;
        transition: opacity 0.3s;
    }
    
    .thumbnail-container img.active {
        border: 2px solid #e51114;
        opacity: 1;
    }
    
    .splide__slide img {
        width: 100%;
        height: auto;
        object-fit: cover;
        max-height: 575px;
    }
    
    .splide__slide.is-active {
        opacity: 1;
    }
    
    .splide__slide {
        opacity: 0.6;
    }
    
    .description {
        font-size: 14px;
        color: #555;
        padding-top: 10px;
    }
    /* Main Image Display */
  .main-image {
    flex: 3;
    padding: 10px;
  }

  .main-image img {
    width: 100%;
    height: auto;
    border-radius: 10px;
  }

  /* Thumbnails */
  .an-gallery-container .thumbnail-container {
    flex: 0.7;
    display: flex;
    flex-direction: column;
    gap: 10px;
    padding: 10px;
    position: relative;
  }
  .an-gallery-container {
    display: flex;
    max-width: 100%;
    margin: auto;
    width: 92%;
  }
  .an-gallery-container .thumbnail-container .splide__track--nav>.splide__list>.splide__slide {
    height: auto;
    width: 100%;
  }
  .an-gallery-container .thumbnail-container .splide__list{
    flex-direction: column;
    overflow-x: auto;
  }
  .an-gallery-container .thumbnail-container .splide__arrow--prev{
    transform: rotate(90deg);
    top: 0;
    left: 50%;
  }
  .an-gallery-container .thumbnail-container .splide__arrow--next {
    right: 50%;
    bottom: 0;
    top: auto;
    transform: rotate(90deg);
}
}



/* Responsive */
@media screen and (max-width:992px){
    .an-veh-info h2{
        margin-bottom: 16px !important;
    }
}
@media screen and (max-width:768px){
    .spec-icons{
        display: none;
    }
    .overlay-content h1 {
        font-size: 1.5em;
    }
    .features {
        flex-direction: row;
    }
    
    .feature {
        max-width: 100%;
    }
    .feature h2{
        font-size: .9em;  
    }
    .feature img {
        width: 25px;
        height: 25px;
    }
    #car-visualizer {
        width: 100%;
        height: 250px;
    }
    .an-tabs {
        display: flex;
        flex-wrap: nowrap;
        overflow-x: scroll;
        scroll-snap-type: x mandatory;
        scroll-behavior: smooth;
        scrollbar-width: thin; /* Adjust scrollbar width */
        scrollbar-color: #ccc #f0f0f0; 
        margin-bottom: 20px;
    }
    
    .an-tabs li {
        scroll-snap-align: start;
        flex: 1 0 auto; /* Ensures buttons take up available space */
        text-align: center; /* Centers text within buttons */
        margin: 5px 4px;
    }
    
    .an_btns {
        flex: 1 0 auto; /* Ensures buttons take up available space */
        border: 1px solid #ccc;
        background-color: #f5f5f5;
        cursor: pointer;
    }
    .gallery-container {
        grid-template-columns: repeat(3, 1fr);
    }
    .overlay .text {
        line-height: 15px;
    }
    /* Table */
    .comparison-table {
        font-size: 0.85rem; /* Reduce the font size for mobile */
    }

    .comparison-table table {
        font-size: 0.85rem;
    }

    .comparison-table thead th, .comparison-table tbody td {
        padding: 10px;
        font-size: 12px;
        line-height: 17px;
    }

    .comparison-table .price-row td {
        font-size: 1.2rem;
    }

    .comparison-table .checkmark, .comparison-table .cross {
        font-size: 1rem;
    }

    .comparison-table .buy-btn {
        padding: 8px 15px;
        font-size: 0.9rem;
    }

    /* Enable horizontal scrolling */
    .comparison-table {
        overflow-x: auto;
        -webkit-overflow-scrolling: touch; /* Smooth scrolling on mobile */
    }
    .an_model_btn{
        margin: 5px;
        font-size: 12px;
    }
    .an-veh-info ul{
        padding-right: 0rem;
        padding-left: 0rem;
    }
    .an-veh-info{
        padding: 0;
    }
    .an-c-table .main_hd{
        font-size: 1.6rem;
    }
    .an-c-table .max-w-750{
        padding: 10px;
        font-size: 14px;
    }
}
@media screen and (max-width: 575px){
    .an-slider .slick-dots{
        bottom: 420px;
        top: auto;
    }
}
@media screen and (max-width:480px){
    #car-visualizer {
        width: 100%;
        height: 180px;
    }
}
@media screen and (max-width: 390px){
    .an-slider .slick-dots{
        bottom: 450px;
    }
}
